> For the complete documentation index, see [llms.txt](https://docs.strongdm.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.strongdm.com/references/scim/users/list.md).

# Generic SCIM Endpoint - List Users

The List Users endpoint returns either all users within an organization matching the given filter or all users if no filter is provided.

### Request

#### Endpoint

`/provisioning/generic/v2/Users`

#### HTTP Method

`GET`

#### Path parameters

The following path parameters are optional.

| Parameter    | Description                                                                                             | Example                            |
| ------------ | ------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| `count`      | Allows the response to be paginated per the specified number of rows                                    | `1`                                |
| `filter`     | Filters the response results; must be in the format `userName%20eq%20%22…%22` where `…` is the username | `userName%20eq%20%22aliceglick%22` |
| `startIndex` | Allows further results to be provided incrementally                                                     | `0`                                |

#### Example requests

**Example request with filter**

`GET app.strongdm.com/provisioning/generic/v2/Users?filter=userName%20eq%20%22myUser@example.test%22`

**Example request without filter**

`GET app.strongdm.com/provisioning/generic/v2/Users?startIndex=0&count=1`

### Response

#### Example success response

```http
(Status 200)
```

```json
{
  "Resources": [
    {
      "active": true,
      "displayName": "Firstname Lastname",
      "emails": [
        {
          "primary": true,
          "value": "myUser@example.test"
        }
      ],
      "groups": [],
      "id": "a-01ba754f6171667f",
      "meta": {
        "resourceType": "User",
        "location": "Users/a-01ba754f6171667f"
      },
      "name": {
        "familyName": "Lastname",
        "formatted": "Firstname Lastname",
        "givenName": "Firstname"
      },
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User"
      ],
      "userName": "myUser@example.test",
      "userType": "user"
    }
  ],
  "itemsPerPage": 1,
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:ListResponse"
  ],
  "startIndex": 1,
  "totalResults": 5
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.strongdm.com/references/scim/users/list.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
